Bug 84760 - Update port: sysutils/e2fsprogs
Update port: sysutils/e2fsprogs
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-10 16:10 UTC by marcus
Modified: 2005-08-15 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.04 KB, patch)
2005-08-10 16:10 UTC, marcus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description marcus 2005-08-10 16:10:17 UTC
- Fix build

Add files:

files/patch-e2fsck::Makefile.in

Note:

All tests fail because of expect on line like that (see test/*.fail):
+ Memory used: 927522608, time: 1915302477.23/791622215.62/791622215.62
Comment 1 matthias.andree 2005-08-11 17:24:01 UTC
There must be a reason why we see this line with the bogus data on
FreeBSD 6 and 7, but not on 4 and 5. What GCC version is FreeBSD 6
using? GCC 4 already?

-- 
Matthias Andree
Comment 2 marcus 2005-08-11 19:17:40 UTC
Well,

I don't know. I try find anything, but don't see nothing. Maybe gcc how 
you talk.

# uname -r
6.0-BETA2
# gcc -v
Using built-in specs.
Configured with: FreeBSD/i386 system compiler
Thread model: posix
gcc version 3.4.4 [FreeBSD] 20050518

# uname -r
5.4-RELEASE-p6
# gcc -v
Using built-in specs.
Configured with: FreeBSD/i386 system compiler
Thread model: posix
gcc version 3.4.2 [FreeBSD] 20040728

Regards

Matthias Andree wrote:
> 
> There must be a reason why we see this line with the bogus data on
> FreeBSD 6 and 7, but not on 4 and 5. What GCC version is FreeBSD 6
> using? GCC 4 already?
> 

-- 
Marcus Grando
Grupos Internet S/A
marcus(at)corp.grupos.com.br
Comment 3 marcus 2005-08-14 14:06:50 UTC
Hi Matthias,

About this PR, any position? Tomorrow branch of 6.0 are created, and 
this port are broken.

Only thing of this patch do is remove "Memory" printf's.

Regards

-- 
Marcus Grando
Grupos Internet S/A
marcus(at)corp.grupos.com.br
Comment 4 matthias.andree 2005-08-15 12:05:50 UTC
The patch in <http://www.freebsd.org/cgi/query-pr.cgi?pr=84760>
looks fine to me - please commit.

Ted, do you have any insight on the patch failures as Marcus described?

Thanks,

-- 
Matthias Andree
Comment 5 pav freebsd_committer 2005-08-15 12:47:02 UTC
Note that this still leaves 10 tests failing on 6.0/amd64 ..

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

The answer to the all-encompassing question on life, the universe
and everything: close windows and reboot.
Comment 6 pav freebsd_committer 2005-08-15 12:47:06 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 matthias.andree 2005-08-15 13:00:10 UTC
On Mon, 15 Aug 2005, Pav Lucistnik wrote:

> Note that this still leaves 10 tests failing on 6.0/amd64 ..

Thanks - wasn't aware of that. I don't have AMD64 to test, and no funds
to get a AMD64 machine. So if someone could lend me a SSH2 account (for
pubkey authorization) on a AMD64 computer that would be much appreciated.

Can I have a look at the failed tests or the whole workdir (the *.failed
files are particularly important - just "find $WRKSRC -name '*.failed'
-print" should do) please?

-- 
Matthias Andree
Comment 8 pav freebsd_committer 2005-08-15 13:08:18 UTC
Matthias Andree pí¹e v po 15. 08. 2005 v 14:00 +0200:
> On Mon, 15 Aug 2005, Pav Lucistnik wrote:
> 
> > Note that this still leaves 10 tests failing on 6.0/amd64 ..
> 
> Thanks - wasn't aware of that. I don't have AMD64 to test, and no funds
> to get a AMD64 machine. So if someone could lend me a SSH2 account (for
> pubkey authorization) on a AMD64 computer that would be much appreciated.
> 
> Can I have a look at the failed tests or the whole workdir (the *.failed
> files are particularly important - just "find $WRKSRC -name '*.failed'
> -print" should do) please?


http://hood.oook.cz/irc/e2fsprogs.typescript
http://hood.oook.cz/irc/e2fsprogs.work.tbz

I'm sorry but I can't provide you with a shell here.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Stupidity got us into this mess -- why can't it get us out?